# API Reference <a name="API Reference" id="api-reference"></a>

## Constructs <a name="Constructs" id="constructs"></a>

### ChimePhoneNumber <a name="@schuettc/cdk-chime-resources.ChimePhoneNumber" id="schuettccdkchimeresourceschimephonenumber"></a>

#### Initializers <a name="@schuettc/cdk-chime-resources.ChimePhoneNumber.Initializer" id="schuettccdkchimeresourceschimephonenumberinitializer"></a>

```typescript
import { ChimePhoneNumber } from '@schuettc/cdk-chime-resources'

new ChimePhoneNumber(scope: Construct, id: string, props: PhoneNumberProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#schuettccdkchimeresourceschimephonenumberparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | *No description.* |
| [`id`](#schuettccdkchimeresourceschimephonenumberparameterid)<span title="Required">*</span> | `string` | *No description.* |
| [`props`](#schuettccdkchimeresourceschimephonenumberparameterprops)<span title="Required">*</span> | [`@schuettc/cdk-chime-resources.PhoneNumberProps`](#@schuettc/cdk-chime-resources.PhoneNumberProps) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimePhoneNumber.parameter.scope" id="schuettccdkchimeresourceschimephonenumberparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

---

##### `id`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimePhoneNumber.parameter.id" id="schuettccdkchimeresourceschimephonenumberparameterid"></a>

- *Type:* `string`

---

##### `props`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimePhoneNumber.parameter.props" id="schuettccdkchimeresourceschimephonenumberparameterprops"></a>

- *Type:* [`@schuettc/cdk-chime-resources.PhoneNumberProps`](#@schuettc/cdk-chime-resources.PhoneNumberProps)

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`phoneNumber`](#schuettccdkchimeresourceschimephonenumberpropertyphonenumber)<span title="Required">*</span> | `string` | *No description.* |

---

##### `phoneNumber`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimePhoneNumber.property.phoneNumber" id="schuettccdkchimeresourceschimephonenumberpropertyphonenumber"></a>

```typescript
public readonly phoneNumber: string;
```

- *Type:* `string`

---


### ChimeSipMediaApp <a name="@schuettc/cdk-chime-resources.ChimeSipMediaApp" id="schuettccdkchimeresourceschimesipmediaapp"></a>

#### Initializers <a name="@schuettc/cdk-chime-resources.ChimeSipMediaApp.Initializer" id="schuettccdkchimeresourceschimesipmediaappinitializer"></a>

```typescript
import { ChimeSipMediaApp } from '@schuettc/cdk-chime-resources'

new ChimeSipMediaApp(scope: Construct, id: string, props: SipMediaAppProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#schuettccdkchimeresourceschimesipmediaappparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | *No description.* |
| [`id`](#schuettccdkchimeresourceschimesipmediaappparameterid)<span title="Required">*</span> | `string` | *No description.* |
| [`props`](#schuettccdkchimeresourceschimesipmediaappparameterprops)<span title="Required">*</span> | [`@schuettc/cdk-chime-resources.SipMediaAppProps`](#@schuettc/cdk-chime-resources.SipMediaAppProps) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimeSipMediaApp.parameter.scope" id="schuettccdkchimeresourceschimesipmediaappparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

---

##### `id`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimeSipMediaApp.parameter.id" id="schuettccdkchimeresourceschimesipmediaappparameterid"></a>

- *Type:* `string`

---

##### `props`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimeSipMediaApp.parameter.props" id="schuettccdkchimeresourceschimesipmediaappparameterprops"></a>

- *Type:* [`@schuettc/cdk-chime-resources.SipMediaAppProps`](#@schuettc/cdk-chime-resources.SipMediaAppProps)

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`sipMediaAppId`](#schuettccdkchimeresourceschimesipmediaapppropertysipmediaappid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `sipMediaAppId`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimeSipMediaApp.property.sipMediaAppId" id="schuettccdkchimeresourceschimesipmediaapppropertysipmediaappid"></a>

```typescript
public readonly sipMediaAppId: string;
```

- *Type:* `string`

---


### ChimeSipRule <a name="@schuettc/cdk-chime-resources.ChimeSipRule" id="schuettccdkchimeresourceschimesiprule"></a>

#### Initializers <a name="@schuettc/cdk-chime-resources.ChimeSipRule.Initializer" id="schuettccdkchimeresourceschimesipruleinitializer"></a>

```typescript
import { ChimeSipRule } from '@schuettc/cdk-chime-resources'

new ChimeSipRule(scope: Construct, id: string, props: SipRuleProps)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`scope`](#schuettccdkchimeresourceschimesipruleparameterscope)<span title="Required">*</span> | [`constructs.Construct`](#constructs.Construct) | *No description.* |
| [`id`](#schuettccdkchimeresourceschimesipruleparameterid)<span title="Required">*</span> | `string` | *No description.* |
| [`props`](#schuettccdkchimeresourceschimesipruleparameterprops)<span title="Required">*</span> | [`@schuettc/cdk-chime-resources.SipRuleProps`](#@schuettc/cdk-chime-resources.SipRuleProps) | *No description.* |

---

##### `scope`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimeSipRule.parameter.scope" id="schuettccdkchimeresourceschimesipruleparameterscope"></a>

- *Type:* [`constructs.Construct`](#constructs.Construct)

---

##### `id`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimeSipRule.parameter.id" id="schuettccdkchimeresourceschimesipruleparameterid"></a>

- *Type:* `string`

---

##### `props`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimeSipRule.parameter.props" id="schuettccdkchimeresourceschimesipruleparameterprops"></a>

- *Type:* [`@schuettc/cdk-chime-resources.SipRuleProps`](#@schuettc/cdk-chime-resources.SipRuleProps)

---



#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`sipRuleId`](#schuettccdkchimeresourceschimesiprulepropertysipruleid)<span title="Required">*</span> | `string` | *No description.* |

---

##### `sipRuleId`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.ChimeSipRule.property.sipRuleId" id="schuettccdkchimeresourceschimesiprulepropertysipruleid"></a>

```typescript
public readonly sipRuleId: string;
```

- *Type:* `string`

---


## Structs <a name="Structs" id="structs"></a>

### PhoneNumberProps <a name="@schuettc/cdk-chime-resources.PhoneNumberProps" id="schuettccdkchimeresourcesphonenumberprops"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { PhoneNumberProps } from '@schuettc/cdk-chime-resources'

const phoneNumberProps: PhoneNumberProps = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`phoneProductType`](#schuettccdkchimeresourcesphonenumberpropspropertyphoneproducttype)<span title="Required">*</span> | [`@schuettc/cdk-chime-resources.PhoneProductType`](#@schuettc/cdk-chime-resources.PhoneProductType) | *No description.* |
| [`phoneAreaCode`](#schuettccdkchimeresourcesphonenumberpropspropertyphoneareacode) | `number` | *No description.* |
| [`phoneCity`](#schuettccdkchimeresourcesphonenumberpropspropertyphonecity) | `string` | *No description.* |
| [`phoneCountry`](#schuettccdkchimeresourcesphonenumberpropspropertyphonecountry) | [`@schuettc/cdk-chime-resources.PhoneCountry`](#@schuettc/cdk-chime-resources.PhoneCountry) | *No description.* |
| [`phoneNumberTollFreePrefix`](#schuettccdkchimeresourcesphonenumberpropspropertyphonenumbertollfreeprefix) | `number` | *No description.* |
| [`phoneNumberType`](#schuettccdkchimeresourcesphonenumberpropspropertyphonenumbertype) | [`@schuettc/cdk-chime-resources.PhoneNumberType`](#@schuettc/cdk-chime-resources.PhoneNumberType) | *No description.* |
| [`phoneState`](#schuettccdkchimeresourcesphonenumberpropspropertyphonestate) | `string` | *No description.* |

---

##### `phoneProductType`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.PhoneNumberProps.property.phoneProductType" id="schuettccdkchimeresourcesphonenumberpropspropertyphoneproducttype"></a>

```typescript
public readonly phoneProductType: PhoneProductType;
```

- *Type:* [`@schuettc/cdk-chime-resources.PhoneProductType`](#@schuettc/cdk-chime-resources.PhoneProductType)

---

##### `phoneAreaCode`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.PhoneNumberProps.property.phoneAreaCode" id="schuettccdkchimeresourcesphonenumberpropspropertyphoneareacode"></a>

```typescript
public readonly phoneAreaCode: number;
```

- *Type:* `number`

---

##### `phoneCity`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.PhoneNumberProps.property.phoneCity" id="schuettccdkchimeresourcesphonenumberpropspropertyphonecity"></a>

```typescript
public readonly phoneCity: string;
```

- *Type:* `string`

---

##### `phoneCountry`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.PhoneNumberProps.property.phoneCountry" id="schuettccdkchimeresourcesphonenumberpropspropertyphonecountry"></a>

```typescript
public readonly phoneCountry: PhoneCountry;
```

- *Type:* [`@schuettc/cdk-chime-resources.PhoneCountry`](#@schuettc/cdk-chime-resources.PhoneCountry)

---

##### `phoneNumberTollFreePrefix`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.PhoneNumberProps.property.phoneNumberTollFreePrefix" id="schuettccdkchimeresourcesphonenumberpropspropertyphonenumbertollfreeprefix"></a>

```typescript
public readonly phoneNumberTollFreePrefix: number;
```

- *Type:* `number`

---

##### `phoneNumberType`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.PhoneNumberProps.property.phoneNumberType" id="schuettccdkchimeresourcesphonenumberpropspropertyphonenumbertype"></a>

```typescript
public readonly phoneNumberType: PhoneNumberType;
```

- *Type:* [`@schuettc/cdk-chime-resources.PhoneNumberType`](#@schuettc/cdk-chime-resources.PhoneNumberType)

---

##### `phoneState`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.PhoneNumberProps.property.phoneState" id="schuettccdkchimeresourcesphonenumberpropspropertyphonestate"></a>

```typescript
public readonly phoneState: string;
```

- *Type:* `string`

---

### SipMediaAppProps <a name="@schuettc/cdk-chime-resources.SipMediaAppProps" id="schuettccdkchimeresourcessipmediaappprops"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { SipMediaAppProps } from '@schuettc/cdk-chime-resources'

const sipMediaAppProps: SipMediaAppProps = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`endpoint`](#schuettccdkchimeresourcessipmediaapppropspropertyendpoint)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#schuettccdkchimeresourcessipmediaapppropspropertyname) | `string` | *No description.* |
| [`region`](#schuettccdkchimeresourcessipmediaapppropspropertyregion) | `string` | *No description.* |

---

##### `endpoint`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.SipMediaAppProps.property.endpoint" id="schuettccdkchimeresourcessipmediaapppropspropertyendpoint"></a>

```typescript
public readonly endpoint: string;
```

- *Type:* `string`

---

##### `name`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.SipMediaAppProps.property.name" id="schuettccdkchimeresourcessipmediaapppropspropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `region`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.SipMediaAppProps.property.region" id="schuettccdkchimeresourcessipmediaapppropspropertyregion"></a>

```typescript
public readonly region: string;
```

- *Type:* `string`

---

### SipRuleProps <a name="@schuettc/cdk-chime-resources.SipRuleProps" id="schuettccdkchimeresourcessipruleprops"></a>

#### Initializer <a name="[object Object].Initializer" id="object-objectinitializer"></a>

```typescript
import { SipRuleProps } from '@schuettc/cdk-chime-resources'

const sipRuleProps: SipRuleProps = { ... }
```

#### Properties <a name="Properties" id="properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| [`priority`](#schuettccdkchimeresourcessiprulepropspropertypriority)<span title="Required">*</span> | `number` | *No description.* |
| [`sipMediaApplicationId`](#schuettccdkchimeresourcessiprulepropspropertysipmediaapplicationid)<span title="Required">*</span> | `string` | *No description.* |
| [`triggerType`](#schuettccdkchimeresourcessiprulepropspropertytriggertype)<span title="Required">*</span> | [`@schuettc/cdk-chime-resources.TriggerType`](#@schuettc/cdk-chime-resources.TriggerType) | *No description.* |
| [`triggerValue`](#schuettccdkchimeresourcessiprulepropspropertytriggervalue)<span title="Required">*</span> | `string` | *No description.* |
| [`name`](#schuettccdkchimeresourcessiprulepropspropertyname) | `string` | *No description.* |
| [`region`](#schuettccdkchimeresourcessiprulepropspropertyregion) | `string` | *No description.* |

---

##### `priority`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.SipRuleProps.property.priority" id="schuettccdkchimeresourcessiprulepropspropertypriority"></a>

```typescript
public readonly priority: number;
```

- *Type:* `number`

---

##### `sipMediaApplicationId`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.SipRuleProps.property.sipMediaApplicationId" id="schuettccdkchimeresourcessiprulepropspropertysipmediaapplicationid"></a>

```typescript
public readonly sipMediaApplicationId: string;
```

- *Type:* `string`

---

##### `triggerType`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.SipRuleProps.property.triggerType" id="schuettccdkchimeresourcessiprulepropspropertytriggertype"></a>

```typescript
public readonly triggerType: TriggerType;
```

- *Type:* [`@schuettc/cdk-chime-resources.TriggerType`](#@schuettc/cdk-chime-resources.TriggerType)

---

##### `triggerValue`<sup>Required</sup> <a name="@schuettc/cdk-chime-resources.SipRuleProps.property.triggerValue" id="schuettccdkchimeresourcessiprulepropspropertytriggervalue"></a>

```typescript
public readonly triggerValue: string;
```

- *Type:* `string`

---

##### `name`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.SipRuleProps.property.name" id="schuettccdkchimeresourcessiprulepropspropertyname"></a>

```typescript
public readonly name: string;
```

- *Type:* `string`

---

##### `region`<sup>Optional</sup> <a name="@schuettc/cdk-chime-resources.SipRuleProps.property.region" id="schuettccdkchimeresourcessiprulepropspropertyregion"></a>

```typescript
public readonly region: string;
```

- *Type:* `string`

---



## Enums <a name="Enums" id="enums"></a>

### PhoneCountry <a name="PhoneCountry" id="phonecountry"></a>

| **Name** | **Description** |
| --- | --- |
| [`AU`](#schuettccdkchimeresourcesphonecountryau) | *No description.* |
| [`AT`](#schuettccdkchimeresourcesphonecountryat) | *No description.* |
| [`CA`](#schuettccdkchimeresourcesphonecountryca) | *No description.* |
| [`DK`](#schuettccdkchimeresourcesphonecountrydk) | *No description.* |
| [`DE`](#schuettccdkchimeresourcesphonecountryde) | *No description.* |
| [`IE`](#schuettccdkchimeresourcesphonecountryie) | *No description.* |
| [`IT`](#schuettccdkchimeresourcesphonecountryit) | *No description.* |
| [`NZ`](#schuettccdkchimeresourcesphonecountrynz) | *No description.* |
| [`NG`](#schuettccdkchimeresourcesphonecountryng) | *No description.* |
| [`PR`](#schuettccdkchimeresourcesphonecountrypr) | *No description.* |
| [`KR`](#schuettccdkchimeresourcesphonecountrykr) | *No description.* |
| [`SE`](#schuettccdkchimeresourcesphonecountryse) | *No description.* |
| [`CH`](#schuettccdkchimeresourcesphonecountrych) | *No description.* |
| [`UK`](#schuettccdkchimeresourcesphonecountryuk) | *No description.* |
| [`US`](#schuettccdkchimeresourcesphonecountryus) | *No description.* |

---

#### `AU` <a name="@schuettc/cdk-chime-resources.PhoneCountry.AU" id="schuettccdkchimeresourcesphonecountryau"></a>

---


#### `AT` <a name="@schuettc/cdk-chime-resources.PhoneCountry.AT" id="schuettccdkchimeresourcesphonecountryat"></a>

---


#### `CA` <a name="@schuettc/cdk-chime-resources.PhoneCountry.CA" id="schuettccdkchimeresourcesphonecountryca"></a>

---


#### `DK` <a name="@schuettc/cdk-chime-resources.PhoneCountry.DK" id="schuettccdkchimeresourcesphonecountrydk"></a>

---


#### `DE` <a name="@schuettc/cdk-chime-resources.PhoneCountry.DE" id="schuettccdkchimeresourcesphonecountryde"></a>

---


#### `IE` <a name="@schuettc/cdk-chime-resources.PhoneCountry.IE" id="schuettccdkchimeresourcesphonecountryie"></a>

---


#### `IT` <a name="@schuettc/cdk-chime-resources.PhoneCountry.IT" id="schuettccdkchimeresourcesphonecountryit"></a>

---


#### `NZ` <a name="@schuettc/cdk-chime-resources.PhoneCountry.NZ" id="schuettccdkchimeresourcesphonecountrynz"></a>

---


#### `NG` <a name="@schuettc/cdk-chime-resources.PhoneCountry.NG" id="schuettccdkchimeresourcesphonecountryng"></a>

---


#### `PR` <a name="@schuettc/cdk-chime-resources.PhoneCountry.PR" id="schuettccdkchimeresourcesphonecountrypr"></a>

---


#### `KR` <a name="@schuettc/cdk-chime-resources.PhoneCountry.KR" id="schuettccdkchimeresourcesphonecountrykr"></a>

---


#### `SE` <a name="@schuettc/cdk-chime-resources.PhoneCountry.SE" id="schuettccdkchimeresourcesphonecountryse"></a>

---


#### `CH` <a name="@schuettc/cdk-chime-resources.PhoneCountry.CH" id="schuettccdkchimeresourcesphonecountrych"></a>

---


#### `UK` <a name="@schuettc/cdk-chime-resources.PhoneCountry.UK" id="schuettccdkchimeresourcesphonecountryuk"></a>

---


#### `US` <a name="@schuettc/cdk-chime-resources.PhoneCountry.US" id="schuettccdkchimeresourcesphonecountryus"></a>

---


### PhoneNumberType <a name="PhoneNumberType" id="phonenumbertype"></a>

| **Name** | **Description** |
| --- | --- |
| [`LOCAL`](#schuettccdkchimeresourcesphonenumbertypelocal) | *No description.* |
| [`TOLLFREE`](#schuettccdkchimeresourcesphonenumbertypetollfree) | *No description.* |

---

#### `LOCAL` <a name="@schuettc/cdk-chime-resources.PhoneNumberType.LOCAL" id="schuettccdkchimeresourcesphonenumbertypelocal"></a>

---


#### `TOLLFREE` <a name="@schuettc/cdk-chime-resources.PhoneNumberType.TOLLFREE" id="schuettccdkchimeresourcesphonenumbertypetollfree"></a>

---


### PhoneProductType <a name="PhoneProductType" id="phoneproducttype"></a>

| **Name** | **Description** |
| --- | --- |
| [`SMA`](#schuettccdkchimeresourcesphoneproducttypesma) | *No description.* |
| [`VC`](#schuettccdkchimeresourcesphoneproducttypevc) | *No description.* |

---

#### `SMA` <a name="@schuettc/cdk-chime-resources.PhoneProductType.SMA" id="schuettccdkchimeresourcesphoneproducttypesma"></a>

---


#### `VC` <a name="@schuettc/cdk-chime-resources.PhoneProductType.VC" id="schuettccdkchimeresourcesphoneproducttypevc"></a>

---


### SMARegion <a name="SMARegion" id="smaregion"></a>

| **Name** | **Description** |
| --- | --- |
| [`US_EAST_1`](#schuettccdkchimeresourcessmaregionuseast1) | *No description.* |
| [`US_WEST_2`](#schuettccdkchimeresourcessmaregionuswest2) | *No description.* |

---

#### `US_EAST_1` <a name="@schuettc/cdk-chime-resources.SMARegion.US_EAST_1" id="schuettccdkchimeresourcessmaregionuseast1"></a>

---


#### `US_WEST_2` <a name="@schuettc/cdk-chime-resources.SMARegion.US_WEST_2" id="schuettccdkchimeresourcessmaregionuswest2"></a>

---


### TriggerType <a name="TriggerType" id="triggertype"></a>

| **Name** | **Description** |
| --- | --- |
| [`TO_PHONE_NUMBER`](#schuettccdkchimeresourcestriggertypetophonenumber) | *No description.* |
| [`REQUEST_URI_HOSTNAME`](#schuettccdkchimeresourcestriggertyperequesturihostname) | *No description.* |

---

#### `TO_PHONE_NUMBER` <a name="@schuettc/cdk-chime-resources.TriggerType.TO_PHONE_NUMBER" id="schuettccdkchimeresourcestriggertypetophonenumber"></a>

---


#### `REQUEST_URI_HOSTNAME` <a name="@schuettc/cdk-chime-resources.TriggerType.REQUEST_URI_HOSTNAME" id="schuettccdkchimeresourcestriggertyperequesturihostname"></a>

---

