import json
import setuptools

kwargs = json.loads(
    """
{
    "name": "cdk-chime-resources",
    "version": "0.0.31",
    "description": "@schuettc/cdk-chime-resources",
    "license": "MIT-0",
    "url": "https://github.com/schuettc/cdk-chime-resources.git",
    "long_description_content_type": "text/markdown",
    "author": "Court Schuett<schuettc@amazon.com>",
    "bdist_wheel": {
        "universal": true
    },
    "project_urls": {
        "Source": "https://github.com/schuettc/cdk-chime-resources.git"
    },
    "package_dir": {
        "": "src"
    },
    "packages": [
        "cdk_chime_resources",
        "cdk_chime_resources._jsii"
    ],
    "package_data": {
        "cdk_chime_resources._jsii": [
            "cdk-chime-resources@0.0.31.jsii.tgz"
        ],
        "cdk_chime_resources": [
            "py.typed"
        ]
    },
    "python_requires": ">=3.6",
    "install_requires": [
        "aws-cdk-lib>=2.7.0, <3.0.0",
        "constructs>=10.0.5, <11.0.0",
        "jsii>=1.52.1, <2.0.0",
        "publication>=0.0.3"
    ],
    "classifiers": [
        "Intended Audience :: Developers",
        "Operating System :: OS Independent",
        "Programming Language :: JavaScript",
        "Programming Language :: Python :: 3 :: Only",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Typing :: Typed",
        "Development Status :: 5 - Production/Stable",
        "License :: OSI Approved"
    ],
    "scripts": []
}
"""
)

with open("README.md", encoding="utf8") as fp:
    kwargs["long_description"] = fp.read()


setuptools.setup(**kwargs)
