import * as cdk from 'aws-cdk-lib';
import { CustomResource } from 'aws-cdk-lib';
import * as lambda from 'aws-cdk-lib/aws-lambda';
import { Construct } from 'constructs';
export interface ChimeResourceProps extends cdk.ResourceProps {
    readonly properties: {
        [propname: string]: any;
    };
    readonly resourceType: 'PhoneNumber' | 'VoiceConnector' | 'SMA' | 'SMARule';
    readonly uid: string;
}
export declare class ChimeResources extends Construct {
    readonly lambda: lambda.IFunction;
    readonly chimeCustomResource: CustomResource;
    constructor(scope: Construct, id: string, props: ChimeResourceProps);
    private ensureLambda;
}
