import { Function } from 'aws-cdk-lib/aws-lambda';
import { Construct } from 'constructs';
/**
 * @stability stable
 */
export interface SipMediaAppProps {
    /**
     * @stability stable
     */
    readonly region?: string;
    /**
     * @stability stable
     */
    readonly name?: string;
    /**
     * @stability stable
     */
    readonly endpoint: Function['functionArn'];
}
/**
 * @stability stable
 */
export declare class ChimeSipMediaApp extends Construct {
    /**
     * @stability stable
     */
    readonly sipMediaAppId: string;
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, props: SipMediaAppProps);
}
